@echo off
rem
rem Converting doml 3.1 and 5.0 file into doml 6.0 file.
rem
rem  olddoml_2_doml60 [-help] [olddoml-file] [doml60-file] 
rem
rem  -help - Print usage message and exit.
rem
rem olddoml-file - doml file relese 3.1. or 5.0
rem doml60-file - desired target doml file relese 6.0.
rem

set USAGE=olddoml_2_doml60 [-help] [olddoml-file] [doml60-file]

set DODS_HOME=/home/wiznogood/3cks/rpm/tmp/tro-community-7.2.build_root/usr/local/tro-community-7.2

set PATH="/home/wiznogood/5star/java5\bin";%PATH%
set JAVACMD=java.exe

set DOML31_2_doml60_XSL="%DODS_HOME%\build\xsl\doml31_2_doml60.xsl"

:start0
if exist %DOML31_2_doml60_XSL% goto start
echo.
echo Unable to find necessary xsl file. Set DOML31_2_doml60_XSL in this bat file.
echo.
goto exit

:start
if %1.==. goto error1
if %1==-help goto help
if %1==-* goto error2
if %1==* goto continue1
goto continue1

:error1
echo Error: There is not any arguments: %USAGE%
goto exit

:error2
echo Error: Invalid option: %USAGE%
goto exit

:error3
echo Error: There is not second argument: %USAGE%
goto exit

:error4
echo Error: There are more then two arguments: %USAGE%
goto exit

:help
echo.
echo Usage: %USAGE%
echo.
goto exit

:continue1
if %2.==. goto error3
if %2==-* goto error2
if %2==* goto continue2
goto continue2

:continue2
if %3.==. goto continue
goto error4


:continue
%JAVACMD% -cp "%CLASSPATH%" org.apache.xalan.xslt.Process -in %1 -xsl %DOML31_2_doml60_XSL% -out %2
:exit
